/**
 * @typedef VerifierResultSet
 * @type {object}
 * @property {number} id
 * @property {number} size
 * @property {Array.<VerifierResult>} verifier
 */

/**
 * @typedef VerifierResult
 * @type {object}
 * @property {number} id
 * @property {number} executionTime
 * @property {number} size
 * @property {Array.<VerificationEntry>} entries
 * @property {VerificationType} type
 */

/**
 * @typedef VerificationEntry
 * @type {object}
 * @property {number} id
 * @property {number} size
 * @property {string} message
 * @property {string} verificationClassification
 * @property {Array.<VerificationEntryElements>} elements
 * @property {Array.<VerificationFixes>} verificationFixes
 */

/**
 * @typedef VerificationEntryElements
 * @type {object}
 * @property {number} id
 * @property {Object.<string, number>} identifier
 */

/**
 * @typedef VerificationFixes
 * @type {object}
 * @property {string} fixName
 * @property {Array.<Actions>} actions
 */

/**
 * @typedef Actions
 * @type {object}
 * @property {number} id
 * @property {string} actionScope
 * @property {string} actionType SHOW, UPDATE, INSERT, DELETE
 * @property {Object.<string, number>} actionValues
 */

/**
 * @typedef VerificationType
 * @type {object}
 * @property {string} description
 * @property {string} name
 * @property {string} niceName
 * @property {VerificationClassification} classification
 */

/**
 * @typedef VerificationClassification
 * @type {object}
 * @property {string} description
 * @property {string} name
 *  * @property {string} niceName
 */
